# Fetching a single External Payment

This endpoint returns structured External Payment objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the external_payments top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /external_payments/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- invoice (Invoice) - The invoice (if any) for which the external payment was created.
- user (User) - The user who created the external payment.
- workspace (Workspace) - The project in which the external payment was created.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `external_payments` (object)

  - `users` (object)

  - `workspaces` (object)

  - `invoices` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


